org.codehaus.groovy.antlr.java

## Class Java2GroovyProcessor

- java.lang.Object
- - org.codehaus.groovy.antlr.java.Java2GroovyProcessor

- Deprecated.

      @Deprecated
      public class Java2GroovyProcessor
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Java2GroovyProcessor()` Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `convert(String filename, String input)` Deprecated.
    `static String` | `convert(String filename, String input, boolean withHeader, boolean withNewLines)` Deprecated.
    `static String` | `mindmap(String input)` Deprecated.
    `static String` | `nodePrinter(String input)` Deprecated.
    `static void` | `processFiles(List<String> fileNames)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Java2GroovyProcessor

          public Java2GroovyProcessor()

      Deprecated.

  - ### Method Detail

    - #### processFiles

          public static void processFiles(List<String> fileNames)
                                   throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### convert

          public static String convert(String filename,
                                       String input)
                                throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### convert

          public static String convert(String filename,
                                       String input,
                                       boolean withHeader,
                                       boolean withNewLines)
                                throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### mindmap

          public static String mindmap(String input)
                                throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### nodePrinter

          public static String nodePrinter(String input)
                                    throws Exception

      Deprecated.
      Throws:
        `Exception`